Package

## Class InMobiUserDataTypes.Builder

- All Implemented Interfaces:

      public final class InMobiUserDataTypes.Builder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMobiUserDataTypes.Builder()` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final InMobiUserDataTypes.Builder` | `md5(String md5)` |
    `final InMobiUserDataTypes.Builder` | `sha1(String sha1)` |
    `final InMobiUserDataTypes.Builder` | `sha256(String sha256)` |
    `final InMobiUserDataTypes` | `build()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMobiUserDataTypes.Builder

          InMobiUserDataTypes.Builder()

  - ### Method Detail

    - #### md5

           final InMobiUserDataTypes.Builder md5(String md5)

    - #### sha1

           final InMobiUserDataTypes.Builder sha1(String sha1)

    - #### sha256

           final InMobiUserDataTypes.Builder sha256(String sha256)

    - #### build

           final InMobiUserDataTypes build()